## EXAMPLE
##
##
##flavor:
##  disk.medium
##    vcpus: 1
##    ram: 2048
##    disk: 16
##
## The flavor defines the available hardware configuration for the virtual
## server. The vcpu value is the number of virtual cpus to use. The ram
## value is the amount of RAM in megabytes (MB). The disk value is the
## amount of disk partition in gigabyte for the / partition.
##
## Note - Other flavor parameters include Ephemeral disk, swap disk
## and RS/TC factor are default values of 0, 0, and 1, respectfully. The
## ID is generated by the system.
##

flavors:
  m1.nano:
    vcpus: 1
    ram: 128
    disk: 1
  hack.c1.m1.d4:
    vcpus: 1
    ram: 1024
    disk: 4
  hack.c1.m1.d8:
    vcpus: 1
    ram: 1024
    disk: 8
  hack.c1.m1.d16:
    vcpus: 1
    ram: 1024
    disk: 16
  hack.c1.m1.d32:
    vcpus: 1
    ram: 1024
    disk: 32
  hack.c1.m1.d64:
    vcpus: 1
    ram: 1024
    disk: 64
  hack.c1.m1.d128:
    vcpus: 1
    ram: 1024
    disk: 128
  hack.c1.m1.d256:
    vcpus: 1
    ram: 1024
    disk: 256
  hack.c1.m2.d4:
    vcpus: 1
    ram: 2048
    disk: 4
  hack.c1.m2.d8:
    vcpus: 1
    ram: 2048
    disk: 8
  hack.c1.m2.d16:
    vcpus: 1
    ram: 2048
    disk: 16
  hack.c1.m2.d32:
    vcpus: 1
    ram: 2048
    disk: 32
  hack.c1.m2.d64:
    vcpus: 1
    ram: 2048
    disk: 64
  hack.c1.m2.d128:
    vcpus: 1
    ram: 2048
    disk: 128
  hack.c1.m2.d256:
    vcpus: 1
    ram: 2048
    disk: 256
  hack.c1.m4.d4:
    vcpus: 1
    ram: 4096
    disk: 4
  hack.c1.m4.d8:
    vcpus: 1
    ram: 4096
    disk: 8
  hack.c1.m4.d16:
    vcpus: 1
    ram: 4096
    disk: 16
  hack.c1.m4.d32:
    vcpus: 1
    ram: 4096
    disk: 32
  hack.c1.m4.d64:
    vcpus: 1
    ram: 4096
    disk: 64
  hack.c1.m4.d128:
    vcpus: 1
    ram: 4096
    disk: 128
  hack.c1.m4.d256:
    vcpus: 1
    ram: 4096
    disk: 256
  hack.c1.m8.d4:
    vcpus: 1
    ram: 8192
    disk: 4
  hack.c1.m8.d8:
    vcpus: 1
    ram: 8192
    disk: 8
  hack.c1.m8.d16:
    vcpus: 1
    ram: 8192
    disk: 16
  hack.c1.m8.d32:
    vcpus: 1
    ram: 8192
    disk: 32
  hack.c1.m8.d64:
    vcpus: 1
    ram: 8192
    disk: 64
  hack.c1.m8.d128:
    vcpus: 1
    ram: 8192
    disk: 128
  hack.c1.m8.d256:
    vcpus: 1
    ram: 8192
    disk: 256
  hack.c1.m16.d4:
    vcpus: 1
    ram: 16384
    disk: 4
  hack.c1.m16.d8:
    vcpus: 1
    ram: 16384
    disk: 8
  hack.c1.m16.d16:
    vcpus: 1
    ram: 16384
    disk: 16
  hack.c1.m16.d32:
    vcpus: 1
    ram: 16384
    disk: 32
  hack.c1.m16.d64:
    vcpus: 1
    ram: 16384
    disk: 64
  hack.c1.m16.d128:
    vcpus: 1
    ram: 16384
    disk: 128
  hack.c1.m16.d256:
    vcpus: 1
    ram: 16384
    disk: 256
  hack.c1.m32.d4:
    vcpus: 1
    ram: 32768
    disk: 4
  hack.c1.m32.d8:
    vcpus: 1
    ram: 32768
    disk: 8
  hack.c1.m32.d16:
    vcpus: 1
    ram: 32768
    disk: 16
  hack.c1.m32.d32:
    vcpus: 1
    ram: 32768
    disk: 32
  hack.c1.m32.d64:
    vcpus: 1
    ram: 32768
    disk: 64
  hack.c1.m32.d128:
    vcpus: 1
    ram: 32768
    disk: 128
  hack.c1.m32.d256:
    vcpus: 1
    ram: 32768
    disk: 256
  hack.c2.m1.d4:
    vcpus: 2
    ram: 1024
    disk: 4
  hack.c2.m1.d8:
    vcpus: 2
    ram: 1024
    disk: 8
  hack.c2.m1.d16:
    vcpus: 2
    ram: 1024
    disk: 16
  hack.c2.m1.d32:
    vcpus: 2
    ram: 1024
    disk: 32
  hack.c2.m1.d64:
    vcpus: 2
    ram: 1024
    disk: 64
  hack.c2.m1.d128:
    vcpus: 2
    ram: 1024
    disk: 128
  hack.c2.m1.d256:
    vcpus: 2
    ram: 1024
    disk: 256
  hack.c2.m2.d4:
    vcpus: 2
    ram: 2048
    disk: 4
  hack.c2.m2.d8:
    vcpus: 2
    ram: 2048
    disk: 8
  hack.c2.m2.d16:
    vcpus: 2
    ram: 2048
    disk: 16
  hack.c2.m2.d32:
    vcpus: 2
    ram: 2048
    disk: 32
  hack.c2.m2.d64:
    vcpus: 2
    ram: 2048
    disk: 64
  hack.c2.m2.d128:
    vcpus: 2
    ram: 2048
    disk: 128
  hack.c2.m2.d256:
    vcpus: 2
    ram: 2048
    disk: 256
  hack.c2.m4.d4:
    vcpus: 2
    ram: 4096
    disk: 4
  hack.c2.m4.d8:
    vcpus: 2
    ram: 4096
    disk: 8
  hack.c2.m4.d16:
    vcpus: 2
    ram: 4096
    disk: 16
  hack.c2.m4.d32:
    vcpus: 2
    ram: 4096
    disk: 32
  hack.c2.m4.d64:
    vcpus: 2
    ram: 4096
    disk: 64
  hack.c2.m4.d128:
    vcpus: 2
    ram: 4096
    disk: 128
  hack.c2.m4.d256:
    vcpus: 2
    ram: 4096
    disk: 256
  hack.c2.m8.d4:
    vcpus: 2
    ram: 8192
    disk: 4
  hack.c2.m8.d8:
    vcpus: 2
    ram: 8192
    disk: 8
  hack.c2.m8.d16:
    vcpus: 2
    ram: 8192
    disk: 16
  hack.c2.m8.d32:
    vcpus: 2
    ram: 8192
    disk: 32
  hack.c2.m8.d64:
    vcpus: 2
    ram: 8192
    disk: 64
  hack.c2.m8.d128:
    vcpus: 2
    ram: 8192
    disk: 128
  hack.c2.m8.d256:
    vcpus: 2
    ram: 8192
    disk: 256
  hack.c2.m16.d4:
    vcpus: 2
    ram: 16384
    disk: 4
  hack.c2.m16.d8:
    vcpus: 2
    ram: 16384
    disk: 8
  hack.c2.m16.d16:
    vcpus: 2
    ram: 16384
    disk: 16
  hack.c2.m16.d32:
    vcpus: 2
    ram: 16384
    disk: 32
  hack.c2.m16.d64:
    vcpus: 2
    ram: 16384
    disk: 64
  hack.c2.m16.d128:
    vcpus: 2
    ram: 16384
    disk: 128
  hack.c2.m16.d256:
    vcpus: 2
    ram: 16384
    disk: 256
  hack.c2.m32.d4:
    vcpus: 2
    ram: 32768
    disk: 4
  hack.c2.m32.d8:
    vcpus: 2
    ram: 32768
    disk: 8
  hack.c2.m32.d16:
    vcpus: 2
    ram: 32768
    disk: 16
  hack.c2.m32.d32:
    vcpus: 2
    ram: 32768
    disk: 32
  hack.c2.m32.d64:
    vcpus: 2
    ram: 32768
    disk: 64
  hack.c2.m32.d128:
    vcpus: 2
    ram: 32768
    disk: 128
  hack.c2.m32.d256:
    vcpus: 2
    ram: 32768
    disk: 256
  hack.c4.m1.d4:
    vcpus: 4
    ram: 1024
    disk: 4
  hack.c4.m1.d8:
    vcpus: 4
    ram: 1024
    disk: 8
  hack.c4.m1.d16:
    vcpus: 4
    ram: 1024
    disk: 16
  hack.c4.m1.d32:
    vcpus: 4
    ram: 1024
    disk: 32
  hack.c4.m1.d64:
    vcpus: 4
    ram: 1024
    disk: 64
  hack.c4.m1.d128:
    vcpus: 4
    ram: 1024
    disk: 128
  hack.c4.m1.d256:
    vcpus: 4
    ram: 1024
    disk: 256
  hack.c4.m2.d4:
    vcpus: 4
    ram: 2048
    disk: 4
  hack.c4.m2.d8:
    vcpus: 4
    ram: 2048
    disk: 8
  hack.c4.m2.d16:
    vcpus: 4
    ram: 2048
    disk: 16
  hack.c4.m2.d32:
    vcpus: 4
    ram: 2048
    disk: 32
  hack.c4.m2.d64:
    vcpus: 4
    ram: 2048
    disk: 64
  hack.c4.m2.d128:
    vcpus: 4
    ram: 2048
    disk: 128
  hack.c4.m2.d256:
    vcpus: 4
    ram: 2048
    disk: 256
  hack.c4.m4.d4:
    vcpus: 4
    ram: 4096
    disk: 4
  hack.c4.m4.d8:
    vcpus: 4
    ram: 4096
    disk: 8
  hack.c4.m4.d16:
    vcpus: 4
    ram: 4096
    disk: 16
  hack.c4.m4.d32:
    vcpus: 4
    ram: 4096
    disk: 32
  hack.c4.m4.d64:
    vcpus: 4
    ram: 4096
    disk: 64
  hack.c4.m4.d128:
    vcpus: 4
    ram: 4096
    disk: 128
  hack.c4.m4.d256:
    vcpus: 4
    ram: 4096
    disk: 256
  hack.c4.m8.d4:
    vcpus: 4
    ram: 8192
    disk: 4
  hack.c4.m8.d8:
    vcpus: 4
    ram: 8192
    disk: 8
  hack.c4.m8.d16:
    vcpus: 4
    ram: 8192
    disk: 16
  hack.c4.m8.d32:
    vcpus: 4
    ram: 8192
    disk: 32
  hack.c4.m8.d64:
    vcpus: 4
    ram: 8192
    disk: 64
  hack.c4.m8.d128:
    vcpus: 4
    ram: 8192
    disk: 128
  hack.c4.m8.d256:
    vcpus: 4
    ram: 8192
    disk: 256
  hack.c4.m16.d4:
    vcpus: 4
    ram: 16384
    disk: 4
  hack.c4.m16.d8:
    vcpus: 4
    ram: 16384
    disk: 8
  hack.c4.m16.d16:
    vcpus: 4
    ram: 16384
    disk: 16
  hack.c4.m16.d32:
    vcpus: 4
    ram: 16384
    disk: 32
  hack.c4.m16.d64:
    vcpus: 4
    ram: 16384
    disk: 64
  hack.c4.m16.d128:
    vcpus: 4
    ram: 16384
    disk: 128
  hack.c4.m16.d256:
    vcpus: 4
    ram: 16384
    disk: 256
  hack.c4.m32.d4:
    vcpus: 4
    ram: 32768
    disk: 4
  hack.c4.m32.d8:
    vcpus: 4
    ram: 32768
    disk: 8
  hack.c4.m32.d16:
    vcpus: 4
    ram: 32768
    disk: 16
  hack.c4.m32.d32:
    vcpus: 4
    ram: 32768
    disk: 32
  hack.c4.m32.d64:
    vcpus: 4
    ram: 32768
    disk: 64
  hack.c4.m32.d128:
    vcpus: 4
    ram: 32768
    disk: 128
  hack.c4.m32.d256:
    vcpus: 4
    ram: 32768
    disk: 256
  hack.c6.m1.d4:
    vcpus: 6
    ram: 1024
    disk: 4
  hack.c6.m1.d8:
    vcpus: 6
    ram: 1024
    disk: 8
  hack.c6.m1.d16:
    vcpus: 6
    ram: 1024
    disk: 16
  hack.c6.m1.d32:
    vcpus: 6
    ram: 1024
    disk: 32
  hack.c6.m1.d64:
    vcpus: 6
    ram: 1024
    disk: 64
  hack.c6.m1.d128:
    vcpus: 6
    ram: 1024
    disk: 128
  hack.c6.m1.d256:
    vcpus: 6
    ram: 1024
    disk: 256
  hack.c6.m2.d4:
    vcpus: 6
    ram: 2048
    disk: 4
  hack.c6.m2.d8:
    vcpus: 6
    ram: 2048
    disk: 8
  hack.c6.m2.d16:
    vcpus: 6
    ram: 2048
    disk: 16
  hack.c6.m2.d32:
    vcpus: 6
    ram: 2048
    disk: 32
  hack.c6.m2.d64:
    vcpus: 6
    ram: 2048
    disk: 64
  hack.c6.m2.d128:
    vcpus: 6
    ram: 2048
    disk: 128
  hack.c6.m2.d256:
    vcpus: 6
    ram: 2048
    disk: 256
  hack.c6.m4.d4:
    vcpus: 6
    ram: 4096
    disk: 4
  hack.c6.m4.d8:
    vcpus: 6
    ram: 4096
    disk: 8
  hack.c6.m4.d16:
    vcpus: 6
    ram: 4096
    disk: 16
  hack.c6.m4.d32:
    vcpus: 6
    ram: 4096
    disk: 32
  hack.c6.m4.d64:
    vcpus: 6
    ram: 4096
    disk: 64
  hack.c6.m4.d128:
    vcpus: 6
    ram: 4096
    disk: 128
  hack.c6.m4.d256:
    vcpus: 6
    ram: 4096
    disk: 256
  hack.c6.m8.d4:
    vcpus: 6
    ram: 8192
    disk: 4
  hack.c6.m8.d8:
    vcpus: 6
    ram: 8192
    disk: 8
  hack.c6.m8.d16:
    vcpus: 6
    ram: 8192
    disk: 16
  hack.c6.m8.d32:
    vcpus: 6
    ram: 8192
    disk: 32
  hack.c6.m8.d64:
    vcpus: 6
    ram: 8192
    disk: 64
  hack.c6.m8.d128:
    vcpus: 6
    ram: 8192
    disk: 128
  hack.c6.m8.d256:
    vcpus: 6
    ram: 8192
    disk: 256
  hack.c6.m16.d4:
    vcpus: 6
    ram: 16384
    disk: 4
  hack.c6.m16.d8:
    vcpus: 6
    ram: 16384
    disk: 8
  hack.c6.m16.d16:
    vcpus: 6
    ram: 16384
    disk: 16
  hack.c6.m16.d32:
    vcpus: 6
    ram: 16384
    disk: 32
  hack.c6.m16.d64:
    vcpus: 6
    ram: 16384
    disk: 64
  hack.c6.m16.d128:
    vcpus: 6
    ram: 16384
    disk: 128
  hack.c6.m16.d256:
    vcpus: 6
    ram: 16384
    disk: 256
  hack.c6.m32.d4:
    vcpus: 6
    ram: 32768
    disk: 4
  hack.c6.m32.d8:
    vcpus: 6
    ram: 32768
    disk: 8
  hack.c6.m32.d16:
    vcpus: 6
    ram: 32768
    disk: 16
  hack.c6.m32.d32:
    vcpus: 6
    ram: 32768
    disk: 32
  hack.c6.m32.d64:
    vcpus: 6
    ram: 32768
    disk: 64
  hack.c6.m32.d128:
    vcpus: 6
    ram: 32768
    disk: 128
  hack.c6.m32.d256:
    vcpus: 6
    ram: 32768
    disk: 256
  hack.c8.m1.d4:
    vcpus: 8
    ram: 1024
    disk: 4
  hack.c8.m1.d8:
    vcpus: 8
    ram: 1024
    disk: 8
  hack.c8.m1.d16:
    vcpus: 8
    ram: 1024
    disk: 16
  hack.c8.m1.d32:
    vcpus: 8
    ram: 1024
    disk: 32
  hack.c8.m1.d64:
    vcpus: 8
    ram: 1024
    disk: 64
  hack.c8.m1.d128:
    vcpus: 8
    ram: 1024
    disk: 128
  hack.c8.m1.d256:
    vcpus: 8
    ram: 1024
    disk: 256
  hack.c8.m2.d4:
    vcpus: 8
    ram: 2048
    disk: 4
  hack.c8.m2.d8:
    vcpus: 8
    ram: 2048
    disk: 8
  hack.c8.m2.d16:
    vcpus: 8
    ram: 2048
    disk: 16
  hack.c8.m2.d32:
    vcpus: 8
    ram: 2048
    disk: 32
  hack.c8.m2.d64:
    vcpus: 8
    ram: 2048
    disk: 64
  hack.c8.m2.d128:
    vcpus: 8
    ram: 2048
    disk: 128
  hack.c8.m2.d256:
    vcpus: 8
    ram: 2048
    disk: 256
  hack.c8.m4.d4:
    vcpus: 8
    ram: 4096
    disk: 4
  hack.c8.m4.d8:
    vcpus: 8
    ram: 4096
    disk: 8
  hack.c8.m4.d16:
    vcpus: 8
    ram: 4096
    disk: 16
  hack.c8.m4.d32:
    vcpus: 8
    ram: 4096
    disk: 32
  hack.c8.m4.d64:
    vcpus: 8
    ram: 4096
    disk: 64
  hack.c8.m4.d128:
    vcpus: 8
    ram: 4096
    disk: 128
  hack.c8.m4.d256:
    vcpus: 8
    ram: 4096
    disk: 256
  hack.c8.m8.d4:
    vcpus: 8
    ram: 8192
    disk: 4
  hack.c8.m8.d8:
    vcpus: 8
    ram: 8192
    disk: 8
  hack.c8.m8.d16:
    vcpus: 8
    ram: 8192
    disk: 16
  hack.c8.m8.d32:
    vcpus: 8
    ram: 8192
    disk: 32
  hack.c8.m8.d64:
    vcpus: 8
    ram: 8192
    disk: 64
  hack.c8.m8.d128:
    vcpus: 8
    ram: 8192
    disk: 128
  hack.c8.m8.d256:
    vcpus: 8
    ram: 8192
    disk: 256
  hack.c8.m16.d4:
    vcpus: 8
    ram: 16384
    disk: 4
  hack.c8.m16.d8:
    vcpus: 8
    ram: 16384
    disk: 8
  hack.c8.m16.d16:
    vcpus: 8
    ram: 16384
    disk: 16
  hack.c8.m16.d32:
    vcpus: 8
    ram: 16384
    disk: 32
  hack.c8.m16.d64:
    vcpus: 8
    ram: 16384
    disk: 64
  hack.c8.m16.d128:
    vcpus: 8
    ram: 16384
    disk: 128
  hack.c8.m16.d256:
    vcpus: 8
    ram: 16384
    disk: 256
  hack.c8.m32.d4:
    vcpus: 8
    ram: 32768
    disk: 4
  hack.c8.m32.d8:
    vcpus: 8
    ram: 32768
    disk: 8
  hack.c8.m32.d16:
    vcpus: 8
    ram: 32768
    disk: 16
  hack.c8.m32.d32:
    vcpus: 8
    ram: 32768
    disk: 32
  hack.c8.m32.d64:
    vcpus: 8
    ram: 32768
    disk: 64
  hack.c8.m32.d128:
    vcpus: 8
    ram: 32768
    disk: 128
  hack.c8.m32.d256:
    vcpus: 8
    ram: 32768
    disk: 256
